@import url('https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,600');

:root {
  --background-color: #f3f5f8;
  --border-radius: 0.5714285714285714rem;
  --font-family: 'Source Sans Pro', sans-serif;
  --heading-font-family: 'Source Sans Pro', sans-serif;
  --logo-default-height: 36;
  --logo-default-width: 112;
  --logo-small-height: 25;
  --logo-small-width: 112;
  --coupon-style: var(--typography-primary);
  --header-bottom-bar-background-color: var(--surface-raised);
  --header-top-bar-background-color: var(--surface-raised);
  --header-top-bar-background-color-contrast: var(--typography-default);
}

:root {
  color-scheme: light;
  --intent-primary-50: #e9e4ed;
  --intent-primary-100: #c9bcd3;
  --intent-primary-200: #a690b6;
  --intent-primary-300: #826398;
  --intent-primary-400: #674282;
  --intent-primary-600: #451d64;
  --intent-primary-700: #3c185a;
  --intent-primary-800: #341350;
  --intent-primary-900: #240b3d;
  --intent-primary: #4d216d;
  --intent-secondary-50: #fcfcfd;
  --intent-secondary-100: #f7f9fa;
  --intent-secondary-200: #f2f5f7;
  --intent-secondary-300: #edf1f4;
  --intent-secondary-400: #e9eef2;
  --intent-secondary-600: #e3e9ee;
  --intent-secondary-700: #dfe6eb;
  --intent-secondary-800: #dbe3e9;
  --intent-secondary-900: #d4dee4;
  --intent-secondary: #e6ecf0;
  --intent-action-50: #fdf8e0;
  --intent-action-100: #faedb2;
  --intent-action-200: #f8e27f;
  --intent-action-300: #f5d64c;
  --intent-action-400: #f3cd26;
  --intent-action-600: #efbf00;
  --intent-action-700: #ecb700;
  --intent-action-800: #eab000;
  --intent-action-900: #e6a300;
  --intent-action: #f1c500;
  --intent-promotion-50: #f8e3e4;
  --intent-promotion-100: #edbbbd;
  --intent-promotion-200: #e28e92;
  --intent-promotion-300: #d66066;
  --intent-promotion-400: #cd3e45;
  --intent-promotion-600: #bf1920;
  --intent-promotion-700: #b7151b;
  --intent-promotion-800: #b01116;
  --intent-promotion-900: #a3090d;
  --intent-promotion: #c51d25;
  --intent-success-50: #e2ece4;
  --intent-success-100: #b7d1bd;
  --intent-success-200: #88b291;
  --intent-success-300: #589365;
  --intent-success-400: #347c44;
  --intent-success-600: #0e5d1e;
  --intent-success-700: #0c5319;
  --intent-success-800: #094914;
  --intent-success-900: #05370b;
  --intent-success: #116623;
  --intent-warning-50: #f7eae1;
  --intent-warning-100: #ebcbb4;
  --intent-warning-200: #dea983;
  --intent-warning-300: #d08751;
  --intent-warning-400: #c66d2c;
  --intent-warning-600: #b64c06;
  --intent-warning-700: #ae4204;
  --intent-warning-800: #a63903;
  --intent-warning-900: #982901;
  --intent-warning: #bd5407;
  --intent-error-50: #f3e3e3;
  --intent-error-100: #e1b9ba;
  --intent-error-200: #ce8b8d;
  --intent-error-300: #bb5c60;
  --intent-error-400: #ac393e;
  --intent-error-600: #961418;
  --intent-error-700: #8b1014;
  --intent-error-800: #810d10;
  --intent-error-900: #700709;
  --intent-error: #9e171c;
  --typography-error: #a31800;
  --typography-primary: #2e004d;
  --typography-promotion: #a90016;
  --typography-default: #2d333a;
  --interaction-action-contrast: var(--typography-default);
  --interaction-primary-contrast: var(--typography-contrast);
  --intent-error-900-contrast: var(--typography-contrast);
  --intent-error-700-contrast: var(--typography-contrast);
  --intent-error-200-contrast: var(--typography-default);
  --intent-error-100-contrast: var(--typography-default);
  --intent-error-contrast: var(--typography-contrast);
  --intent-warning-900-contrast: var(--typography-contrast);
  --intent-warning-700-contrast: var(--typography-contrast);
  --intent-warning-200-contrast: var(--typography-default);
  --intent-warning-100-contrast: var(--typography-default);
  --intent-warning-contrast: var(--typography-contrast);
  --intent-success-900-contrast: var(--typography-contrast);
  --intent-success-700-contrast: var(--typography-contrast);
  --intent-success-200-contrast: var(--typography-default);
  --intent-success-100-contrast: var(--typography-default);
  --intent-success-contrast: var(--typography-contrast);
  --intent-promotion-900-contrast: var(--typography-contrast);
  --intent-promotion-700-contrast: var(--typography-contrast);
  --intent-promotion-200-contrast: var(--typography-default);
  --intent-promotion-100-contrast: var(--typography-default);
  --intent-promotion-contrast: var(--typography-contrast);
  --intent-action-900-contrast: var(--typography-default);
  --intent-action-700-contrast: var(--typography-default);
  --intent-action-200-contrast: var(--typography-default);
  --intent-action-100-contrast: var(--typography-default);
  --intent-action-contrast: var(--typography-default);
  --intent-secondary-900-contrast: var(--typography-default);
  --intent-secondary-700-contrast: var(--typography-default);
  --intent-secondary-200-contrast: var(--typography-default);
  --intent-secondary-100-contrast: var(--typography-default);
  --intent-secondary-contrast: var(--typography-default);
  --intent-primary-900-contrast: var(--typography-contrast);
  --intent-primary-700-contrast: var(--typography-contrast);
  --intent-primary-200-contrast: var(--typography-default);
  --intent-primary-100-contrast: var(--typography-default);
  --intent-primary-contrast: var(--typography-contrast);
  --typography-contrast: #fff;
  --typography-disabled: #96999c;
  --typography-placeholder: #4c5157;
  --surface-sunken: var(--intent-secondary);
  --surface-background: var(--background-color);
  --surface-base: #fff;
  --surface-raised: #fff;
  --decoration: var(--intent-secondary);
  --decoration-contrast: #6c7075;
  --interaction-primary: var(--intent-primary-900);
  --interaction-action: var(--intent-action-900);
  --icon-primary: var(--intent-primary);
}

:root[data-theme='dark'] {
  color-scheme: dark;
  --typography-error: var(--intent-error-600);
  --typography-primary: var(--intent-primary-700);
  --typography-promotion: var(--intent-promotion-600);
  --typography-default: #eff5ff;
  --typography-contrast: #161a22;
  --typography-disabled: #a4aab5;
  --typography-placeholder: #d6dbe8;
  --surface-sunken: #12161e;
  --surface-background: #161a22;
  --surface-base: #1e222b;
  --surface-raised: #22262f;
  --intent-secondary-50: #12161e;
  --intent-secondary-100: #161a22;
  --intent-secondary-200: #1a1e27;
  --intent-secondary-300: #1e222b;
  --intent-secondary-400: #0f171c;
  --intent-secondary-600: #0f171c;
  --intent-secondary-700: #0f171c;
  --intent-secondary-800: #d6dbe8;
  --intent-secondary-900: #eff5ff;
  --intent-secondary: #757a85;
  --decoration: #4a4e58;
  --decoration-contrast: #757a85;
  --interaction-primary: var(--intent-primary-700);
  --interaction-action: var(--intent-action-700);
  --icon-primary: var(--typography-primary);
  --intent-primary-50: #1d0d2b;
  --intent-primary-100: #2a0e3f;
  --intent-primary-200: #371151;
  --intent-primary-300: #421760;
  --intent-primary-400: #734a95;
  --intent-primary: #9a75bb;
  --intent-primary-600: #9a75bb;
  --intent-primary-700: #c1a4dc;
  --intent-primary-800: #e7d6f9;
  --intent-primary-900: #fbf0ff;
  --intent-action-50: #201400;
  --intent-action-100: #4e3a00;
  --intent-action-200: #826500;
  --intent-action-300: #ba9300;
  --intent-action-400: #f9cf34;
  --intent-action: #feda61;
  --intent-action-600: #feda61;
  --intent-action-700: #ffe590;
  --intent-action-800: #fef0c3;
  --intent-action-900: #fcf5df;
  --intent-promotion-50: #2c0807;
  --intent-promotion-100: #570003;
  --intent-promotion-200: #7f0001;
  --intent-promotion-300: #a5000d;
  --intent-promotion-400: #e54b47;
  --intent-promotion: #fd776e;
  --intent-promotion-600: #fd776e;
  --intent-promotion-700: #ffa59c;
  --intent-promotion-800: #ffd6cf;
  --intent-promotion-900: #ffeeeb;
  --intent-success-50: #001d04;
  --intent-success-100: #002f04;
  --intent-success-200: #004107;
  --intent-success-300: #005412;
  --intent-success-400: #3e8847;
  --intent-success: #6aaa6f;
  --intent-success-600: #6aaa6f;
  --intent-success-700: #9acb9c;
  --intent-success-800: #cdecce;
  --intent-success-900: #e9fbe9;
  --intent-warning-50: #2b0b00;
  --intent-warning-100: #511500;
  --intent-warning-200: #772400;
  --intent-warning-300: #9c3a00;
  --intent-warning-400: #d97137;
  --intent-warning: #ef9262;
  --intent-warning-600: #ef9262;
  --intent-warning-700: #ffb691;
  --intent-warning-800: #ffdcc7;
  --intent-warning-900: #fff0e4;
  --intent-error-50: #2c0807;
  --intent-error-100: #4c0004;
  --intent-error-200: #6b0003;
  --intent-error-300: #86000b;
  --intent-error-400: #c34641;
  --intent-error: #e3726a;
  --intent-error-600: #e3726a;
  --intent-error-700: #faa299;
  --intent-error-800: #ffd4ce;
  --intent-error-900: #ffeeeb;
  --intent-secondary-100-contrast: var(--typography-default);
  --intent-secondary-200-contrast: var(--typography-default);
  --intent-secondary-700-contrast: var(--typography-default);
  --intent-secondary-900-contrast: var(--typography-contrast);
  --intent-secondary-contrast: var(--typography-contrast);
  --intent-primary-100-contrast: var(--typography-default);
  --intent-primary-200-contrast: var(--typography-default);
  --intent-primary-contrast: var(--typography-contrast);
  --intent-primary-700-contrast: var(--typography-contrast);
  --intent-primary-900-contrast: var(--typography-contrast);
  --intent-action-100-contrast: var(--typography-default);
  --intent-action-200-contrast: var(--typography-default);
  --intent-action-contrast: var(--typography-contrast);
  --intent-action-700-contrast: var(--typography-contrast);
  --intent-action-900-contrast: var(--typography-contrast);
  --intent-promotion-100-contrast: var(--typography-default);
  --intent-promotion-200-contrast: var(--typography-default);
  --intent-promotion-contrast: var(--typography-contrast);
  --intent-promotion-700-contrast: var(--typography-contrast);
  --intent-promotion-900-contrast: var(--typography-contrast);
  --intent-success-100-contrast: var(--typography-default);
  --intent-success-200-contrast: var(--typography-default);
  --intent-success-contrast: var(--typography-contrast);
  --intent-success-700-contrast: var(--typography-contrast);
  --intent-success-900-contrast: var(--typography-contrast);
  --intent-warning-100-contrast: var(--typography-default);
  --intent-warning-200-contrast: var(--typography-default);
  --intent-warning-contrast: var(--typography-contrast);
  --intent-warning-700-contrast: var(--typography-contrast);
  --intent-warning-900-contrast: var(--typography-contrast);
  --intent-error-100-contrast: var(--typography-default);
  --intent-error-200-contrast: var(--typography-default);
  --intent-error-contrast: var(--typography-contrast);
  --intent-error-700-contrast: var(--typography-contrast);
  --intent-error-900-contrast: var(--typography-contrast);
  --interaction-primary-contrast: var(--typography-contrast);
  --interaction-action-contrast: var(--typography-contrast);
}

@media (prefers-color-scheme: dark){

:root[data-theme='system'] {
  color-scheme: dark;
  --typography-error: var(--intent-error-600);
  --typography-primary: var(--intent-primary-700);
  --typography-promotion: var(--intent-promotion-600);
  --typography-default: #eff5ff;
  --typography-contrast: #161a22;
  --typography-disabled: #a4aab5;
  --typography-placeholder: #d6dbe8;
  --surface-sunken: #12161e;
  --surface-background: #161a22;
  --surface-base: #1e222b;
  --surface-raised: #22262f;
  --intent-secondary-50: #12161e;
  --intent-secondary-100: #161a22;
  --intent-secondary-200: #1a1e27;
  --intent-secondary-300: #1e222b;
  --intent-secondary-400: #0f171c;
  --intent-secondary-600: #0f171c;
  --intent-secondary-700: #0f171c;
  --intent-secondary-800: #d6dbe8;
  --intent-secondary-900: #eff5ff;
  --intent-secondary: #757a85;
  --decoration: #4a4e58;
  --decoration-contrast: #757a85;
  --interaction-primary: var(--intent-primary-700);
  --interaction-action: var(--intent-action-700);
  --icon-primary: var(--typography-primary);
  --intent-primary-50: #1d0d2b;
  --intent-primary-100: #2a0e3f;
  --intent-primary-200: #371151;
  --intent-primary-300: #421760;
  --intent-primary-400: #734a95;
  --intent-primary: #9a75bb;
  --intent-primary-600: #9a75bb;
  --intent-primary-700: #c1a4dc;
  --intent-primary-800: #e7d6f9;
  --intent-primary-900: #fbf0ff;
  --intent-action-50: #201400;
  --intent-action-100: #4e3a00;
  --intent-action-200: #826500;
  --intent-action-300: #ba9300;
  --intent-action-400: #f9cf34;
  --intent-action: #feda61;
  --intent-action-600: #feda61;
  --intent-action-700: #ffe590;
  --intent-action-800: #fef0c3;
  --intent-action-900: #fcf5df;
  --intent-promotion-50: #2c0807;
  --intent-promotion-100: #570003;
  --intent-promotion-200: #7f0001;
  --intent-promotion-300: #a5000d;
  --intent-promotion-400: #e54b47;
  --intent-promotion: #fd776e;
  --intent-promotion-600: #fd776e;
  --intent-promotion-700: #ffa59c;
  --intent-promotion-800: #ffd6cf;
  --intent-promotion-900: #ffeeeb;
  --intent-success-50: #001d04;
  --intent-success-100: #002f04;
  --intent-success-200: #004107;
  --intent-success-300: #005412;
  --intent-success-400: #3e8847;
  --intent-success: #6aaa6f;
  --intent-success-600: #6aaa6f;
  --intent-success-700: #9acb9c;
  --intent-success-800: #cdecce;
  --intent-success-900: #e9fbe9;
  --intent-warning-50: #2b0b00;
  --intent-warning-100: #511500;
  --intent-warning-200: #772400;
  --intent-warning-300: #9c3a00;
  --intent-warning-400: #d97137;
  --intent-warning: #ef9262;
  --intent-warning-600: #ef9262;
  --intent-warning-700: #ffb691;
  --intent-warning-800: #ffdcc7;
  --intent-warning-900: #fff0e4;
  --intent-error-50: #2c0807;
  --intent-error-100: #4c0004;
  --intent-error-200: #6b0003;
  --intent-error-300: #86000b;
  --intent-error-400: #c34641;
  --intent-error: #e3726a;
  --intent-error-600: #e3726a;
  --intent-error-700: #faa299;
  --intent-error-800: #ffd4ce;
  --intent-error-900: #ffeeeb;
  --intent-secondary-100-contrast: var(--typography-default);
  --intent-secondary-200-contrast: var(--typography-default);
  --intent-secondary-700-contrast: var(--typography-default);
  --intent-secondary-900-contrast: var(--typography-contrast);
  --intent-secondary-contrast: var(--typography-contrast);
  --intent-primary-100-contrast: var(--typography-default);
  --intent-primary-200-contrast: var(--typography-default);
  --intent-primary-contrast: var(--typography-contrast);
  --intent-primary-700-contrast: var(--typography-contrast);
  --intent-primary-900-contrast: var(--typography-contrast);
  --intent-action-100-contrast: var(--typography-default);
  --intent-action-200-contrast: var(--typography-default);
  --intent-action-contrast: var(--typography-contrast);
  --intent-action-700-contrast: var(--typography-contrast);
  --intent-action-900-contrast: var(--typography-contrast);
  --intent-promotion-100-contrast: var(--typography-default);
  --intent-promotion-200-contrast: var(--typography-default);
  --intent-promotion-contrast: var(--typography-contrast);
  --intent-promotion-700-contrast: var(--typography-contrast);
  --intent-promotion-900-contrast: var(--typography-contrast);
  --intent-success-100-contrast: var(--typography-default);
  --intent-success-200-contrast: var(--typography-default);
  --intent-success-contrast: var(--typography-contrast);
  --intent-success-700-contrast: var(--typography-contrast);
  --intent-success-900-contrast: var(--typography-contrast);
  --intent-warning-100-contrast: var(--typography-default);
  --intent-warning-200-contrast: var(--typography-default);
  --intent-warning-contrast: var(--typography-contrast);
  --intent-warning-700-contrast: var(--typography-contrast);
  --intent-warning-900-contrast: var(--typography-contrast);
  --intent-error-100-contrast: var(--typography-default);
  --intent-error-200-contrast: var(--typography-default);
  --intent-error-contrast: var(--typography-contrast);
  --intent-error-700-contrast: var(--typography-contrast);
  --intent-error-900-contrast: var(--typography-contrast);
  --interaction-primary-contrast: var(--typography-contrast);
  --interaction-action-contrast: var(--typography-contrast);
}
}
